package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusCustomerAuditRecordsEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Author makejava
 * @Desc 客户企业审核记录表(BusCustomerAuditRecords)表服务接口
 * @Date 2024-03-29 19:30:07
 */
public interface BusCustomerAuditRecordsService extends IService<BusCustomerAuditRecordsEntity> {

    BusCustomerAuditRecordsEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusCustomerAuditRecordsEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String customerAuditRecordsId,String userId);

    void addAndUpdateInfo(BusCustomerAuditRecordsEntity param,String userId) throws Exception;

}
